function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var ThemeManager = function () {
  function ThemeManager() {
    _classCallCheck(this, ThemeManager);

    this.themes = {};
  }

  ThemeManager.prototype.registerDefaultTheme = function registerDefaultTheme(namespace, themeProps) {
    this.themes[namespace] = themeProps;
  };

  ThemeManager.prototype.getThemes = function getThemes() {
    return this.themes;
  };

  return ThemeManager;
}();

// This is a singleton


export default new ThemeManager();