'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _ThemeManager = require('./ThemeManager');

var _ThemeManager2 = _interopRequireDefault(_ThemeManager);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ThemeOverride = function (_Component) {
  _inherits(ThemeOverride, _Component);

  function ThemeOverride() {
    _classCallCheck(this, ThemeOverride);

    return _possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  ThemeOverride.prototype.render = function render() {
    var children = this.props.children;

    return _react2.default.createElement(
      _styledComponents.ThemeProvider,
      {
        theme: _ThemeManager2.default.getThemes()
      },
      _react2.default.createElement(
        _react.Fragment,
        null,
        children
      )
    );
  };

  return ThemeOverride;
}(_react.Component);

exports.default = ThemeOverride;
module.exports = exports['default'];